%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  BIGL
%global packver   1.9.3
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.9.3
Release:          1%{?dist}%{?buildtag}
Summary:          Biochemically Intuitive Generalized Loewe Model

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.5
Requires:         R-core >= 3.5
BuildArch:        noarch
BuildRequires:    R-CRAN-ggplot2 
BuildRequires:    R-CRAN-MASS 
BuildRequires:    R-methods 
BuildRequires:    R-CRAN-minpack.lm 
BuildRequires:    R-CRAN-numDeriv 
BuildRequires:    R-parallel 
BuildRequires:    R-CRAN-progress 
BuildRequires:    R-CRAN-plotly 
BuildRequires:    R-CRAN-robustbase 
BuildRequires:    R-CRAN-scales 
BuildRequires:    R-CRAN-nleqslv 
BuildRequires:    R-CRAN-data.table 
BuildRequires:    R-CRAN-lifecycle 
BuildRequires:    R-CRAN-htmlwidgets 
BuildRequires:    R-CRAN-magrittr 
Requires:         R-CRAN-ggplot2 
Requires:         R-CRAN-MASS 
Requires:         R-methods 
Requires:         R-CRAN-minpack.lm 
Requires:         R-CRAN-numDeriv 
Requires:         R-parallel 
Requires:         R-CRAN-progress 
Requires:         R-CRAN-plotly 
Requires:         R-CRAN-robustbase 
Requires:         R-CRAN-scales 
Requires:         R-CRAN-nleqslv 
Requires:         R-CRAN-data.table 
Requires:         R-CRAN-lifecycle 
Requires:         R-CRAN-htmlwidgets 
Requires:         R-CRAN-magrittr 

%description
Response surface methods for drug synergy analysis. Available methods
include generalized and classical Loewe formulations as well as Highest
Single Agent methodology. Response surfaces can be plotted in an
interactive 3-D plot and formal statistical tests for presence of
synergistic effects are available. Implemented methods and tests are
described in the article "BIGL: Biochemically Intuitive Generalized Loewe
null model for prediction of the expected combined effect compatible with
partial agonism and antagonism" by Koen Van der Borght, Annelies Tourny,
Rytis Bagdziunas, Olivier Thas, Maxim Nazarov, Heather Turner, Bie Verbist
& Hugo Ceulemans (2017) <doi:10.1038/s41598-017-18068-5>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
